使用 apt-get build 編譯你的 firefox [論壇 - Ubuntu 套件打包]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

« 1 (2) 3 4 5 ... 10 »


回覆: 使用 apt-get build 編譯你的 firefox
會員四級
註冊日期:
2008/9/17 14:25
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 467
MP : 150 / 15045
EXP: 71
離線
現在正在用gcc 4.2編FX 3.1beta3
被它的聲音嚇到了(FX3.1終於不是啞巴了 XD)

2009/3/9 3:34
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員三級
註冊日期:
2007/6/11 16:34
所屬群組:
已註冊使用者
等級: 14
HP : 0 / 346
MP : 84 / 12443
EXP: 87
離線
請問 .mozconfig在哪裡 ?

要自己建立是嗎 ?

若是要PGO要怎麼做 ?

2009/3/9 11:14
Wubi 10.04 runs in ASUS DiGiMatrix with P-4@2.4GHz and 2GB DDR DRAM
Jaunty LXDE runs in Fujitsu Lifebook P-1030 with Crusoe@700MHz, 112MB SDRAM, and 8GB CF SSD
Lucid upgraded from Hardy runs in TWINHEAD F10-F11Y with P-M U1400@1.2GHz and 2GB DDR2 DRAM
Wubi 10.04 LXDE runs in Acer Travelmate T3212WXCi with P-M 740 and 512MB RAM
Wubi 8.10 runs in TOSHIBA Satellite A135-S2266 with C-M 430 and 1GB RAM
應用擴展 工具箱
路人X
回覆: 使用 apt-get build 編譯你的 firefox
Anon:路人X

2009/3/9 11:36 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員五級
註冊日期:
2008/4/9 14:04
所屬群組:
已註冊使用者
等級: 31
HP : 0 / 765
MP : 447 / 25588
EXP: 60
離線
感謝orange與路人x的說明,在下對於firefox的最佳化的確有很大的興趣,在沒有PGO之前的最佳化編譯,速度已經加快非常多,但與windows的相比還是差了那麼一點。因此很期待這種方式能夠與windows版本相比甚至於更快速。
如果有flash的加速方法,那更好了,因為看起來目前最大的問題在於flash的速度太慢。

另外,昨天晚上我丟著讓他跑openoffice.org3,原本編譯超過20小時還沒完成的openoffice.org3,經過參數的設定之後,跑了約8個小時就編譯完成。OOo啟動的時間從原本約需十多秒縮短為3秒上下,實在是很驚人的加速。

提外話......
firefox 3.1beta 現在已經到了可以使用的程度了嗎???

2009/3/9 13:32
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員二級
註冊日期:
2008/9/25 12:54
所屬群組:
已註冊使用者
等級: 8
HP : 0 / 185
MP : 29 / 5942
EXP: 40
離線
我下「sudo apt-build install firefox」指令,結果出現:
下列的【新】套件都將被安裝:
autoconf autoconf2.13 automake1.4 automake1.7 autotools-dev cdbs debhelper   diffstat fakeroot fdupes html2text intltool intltool-debian libart-2.0-dev   libatk1.0-dev libaudiofile-dev libavahi-client-dev libavahi-common-dev   libavahi-glib-dev libbonobo2-dev libbonoboui2-dev libcairo2-dev   libdbus-1-dev libdbus-glib-1-dev libesd0-dev libexpat1-dev   libfontconfig1-dev libfreetype6-dev libgconf2-dev libgcrypt11-dev   libglade2-dev libglib2.0-dev libgnome-keyring-dev libgnome2-dev   libgnomecanvas2-dev libgnomeui-dev libgnomevfs2-dev libgnutls-dev   libgpg-error-dev libgtk2.0-dev libhunspell-dev libice-dev libidl-dev   libjpeg62-dev libmail-sendmail-perl libnspr4-dev libnss3-dev liborbit2-dev   libpango1.0-dev libpixman-1-dev libpng12-dev libpopt-dev libpthread-stubs0   libpthread-stubs0-dev libselinux1-dev libsepol1-dev libsm-dev   libsys-hostname-long-perl libtasn1-3-dev libx11-dev libxau-dev   libxcb-render-util0-dev libxcb-render0-dev libxcb-xlib0-dev libxcb1-dev   libxcomposite-dev libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev   libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxrandr-dev   libxrender-dev libxt-dev m4 mozilla-devscripts orbit2 patchutils po-debconf   quilt sharutils x11proto-composite-dev x11proto-core-dev x11proto-damage-dev   x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev   x11proto-render-dev x11proto-xext-dev x11proto-xinerama-dev xtrans-dev   xulrunner-1.9-dev zlib1g-dev
更新 0 個套件,新安裝 98 個套件,刪除 0 個套件,另不更新 1 個套件。

這樣是正常的嗎?這些相關套件都要連帶安裝,是否甚至要重編譯?

2009/3/9 14:02
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員五級
註冊日期:
2008/4/9 14:04
所屬群組:
已註冊使用者
等級: 31
HP : 0 / 765
MP : 447 / 25588
EXP: 60
離線
這很正常啊,表示您以前從來都沒有跑過apt-build,因此一些必要的函式庫都沒有安裝(雖然多了點)。
只有這一次啦,以後的就會比較少了,甚至於沒有。
xulrunner這個套件也建議你用apt-build編譯一下喔,這也是firefox的核心之一。
因此你可下達下列指令

sudo apt-build install firefox xulrunner --reinstall

這樣子就會編譯好之後以重新安裝的模式進行覆蓋已經安裝好的版本。

2009/3/9 14:15
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員五級
註冊日期:
2008/6/15 2:56
所屬群組:
已註冊使用者
等級: 38
HP : 189 / 945
MP : 757 / 31111
EXP: 81
離線
好奇怪我怎麼編不起來firefox
-----> Building firefox-3.0 <-----
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package firefox-3.0
dpkg-buildpackage: source version 3.0.7+nobinonly-0ubuntu0.8.10.1
dpkg-buildpackage: source changed by root
dpkg-buildpackage: host architecture i386

debian/rules clean
/usr/share/cdbs/1/rules/buildcore.mk:72: parsing xulbrowser-3.0.7-source.tar.bz2 ...
cd: 1: can't cd to build-tree/mozilla
cat: build-tree/mozilla/browser/config/version.txt: 沒有此一檔案或目錄

2009/3/9 14:21
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員五級
註冊日期:
2008/4/9 14:04
所屬群組:
已註冊使用者
等級: 31
HP : 0 / 765
MP : 447 / 25588
EXP: 60
離線
不知道耶,我沒遇過這種問題。
你是8.10吧?我用的是8.04,可能在函式庫方面有版本上的差異吧!

2009/3/9 15:04
應用擴展 工具箱
路人X
回覆: 使用 apt-get build 編譯你的 firefox
Anon:路人X
#17 的問題是不是
系統->管理->軟體原始碼 原始碼 沒打勾

----------------
firefox 3.1beta 現在已經到了可以使用的程度了嗎???

個人認為已足夠(Adblock Plis,FoxyProxy,右鍵改編碼,MPlayer-Plugin)
YouTube 播放都正常
最有問題 MPlayer-Plugin 看完短片關閉 FX也跟著關
會用MPlayer-Plugin是因為MPlayer-SVN支援 h264 wmv3 軟硬解

2009/3/9 15:42 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
回覆: 使用 apt-get build 編譯你的 firefox
會員四級
註冊日期:
2008/9/17 14:25
所屬群組:
已註冊使用者
等級: 19
HP : 0 / 467
MP : 150 / 15045
EXP: 71
離線
rossiliu 寫到:提外話......
firefox 3.1beta 現在已經到了可以使用的程度了嗎???

除了媒體播放(非flv)外
FX 3.1beta的穩定性、相容性 比windows上的safari 4 beta,google chrome 高很多
速度上則是略差一些,不過差距不會大到很離譜的程度

剛剛把編譯好的3個版本拿來比較,不知道有沒有人注意到這個現象
http://forum.moztw.org/viewtopic.php?t=26429

2009/3/9 16:33
應用擴展 工具箱

« 1 (2) 3 4 5 ... 10 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.